package com.ruoyi.szxc.service.impl;

import com.ruoyi.common.utils.DateUtils;
import com.ruoyi.szxc.domain.SzxcVoteResult;
import com.ruoyi.szxc.domain.YsResult;
import com.ruoyi.szxc.mapper.SzxcVoteResultMapper;
import com.ruoyi.szxc.service.ISzxcVoteResultService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * 议事投票情况Service业务层处理
 * 
 * @author hs
 * @date 2024-03-20
 */
@Service
public class SzxcVoteResultServiceImpl implements ISzxcVoteResultService 
{
    @Autowired
    private SzxcVoteResultMapper szxcVoteResultMapper;

    /**
     * 查询议事投票情况
     * 
     * @param id 议事投票情况主键
     * @return 议事投票情况
     */
    @Override
    public SzxcVoteResult selectSzxcVoteResultById(Long id)
    {
        return szxcVoteResultMapper.selectSzxcVoteResultById(id);
    }

    /**
     * 查询议事投票情况列表
     * 
     * @param szxcVoteResult 议事投票情况
     * @return 议事投票情况
     */
    @Override
    public List<SzxcVoteResult> selectSzxcVoteResultList(SzxcVoteResult szxcVoteResult)
    {
        return szxcVoteResultMapper.selectSzxcVoteResultList(szxcVoteResult);
    }

    /**
     * 新增议事投票情况
     * 
     * @param szxcVoteResult 议事投票情况
     * @return 结果
     */
    @Override
    public int insertSzxcVoteResult(SzxcVoteResult szxcVoteResult)
    {
        szxcVoteResult.setCreateTime(DateUtils.getNowDate());
        return szxcVoteResultMapper.insertSzxcVoteResult(szxcVoteResult);
    }

    /**
     * 修改议事投票情况
     * 
     * @param szxcVoteResult 议事投票情况
     * @return 结果
     */
    @Override
    public int updateSzxcVoteResult(SzxcVoteResult szxcVoteResult)
    {
        szxcVoteResult.setUpdateTime(DateUtils.getNowDate());
        return szxcVoteResultMapper.updateSzxcVoteResult(szxcVoteResult);
    }

    /**
     * 批量删除议事投票情况
     * 
     * @param ids 需要删除的议事投票情况主键
     * @return 结果
     */
    @Override
    public int deleteSzxcVoteResultByIds(Long[] ids)
    {
        return szxcVoteResultMapper.deleteSzxcVoteResultByIds(ids);
    }

    /**
     * 删除议事投票情况信息
     * 
     * @param id 议事投票情况主键
     * @return 结果
     */
    @Override
    public int deleteSzxcVoteResultById(Long id)
    {
        return szxcVoteResultMapper.deleteSzxcVoteResultById(id);
    }

    @Override
    public YsResult selectSzxcVoteResultByDiscussId(Long ysId) {
        return szxcVoteResultMapper.selectSzxcVoteResultByDiscussId(ysId);
    }
}
